<?php
include '../common.php';
// Bruker samme tilkoblingsinformasjon som er brukt i Modul 6.
include '../modul6/forberedelser.php';

include 'logger.inc.php';
Logger::log("Lastet modul 8 oppgave 4");

$medlemsBildeMappe = "medlemmer/";

?><!DOCTYPE html>
<html lang="no">
<head>
    <title><?=title();?></title>
    <link rel="stylesheet" href="../index.css">
</head>
<body>

<div class="container">
    <h1><?=title();?></h1>
    <h4><?=getNavigation();?></h4>
    <h2>Medlemsliste</h2>
</div>

<div style="text-align: center; margin-bottom: 50px;">
    <?php
    // Henter medlemmer fra modul 6. (Og spør om du vil lage dem i databasen din hvis tabellen ikke finnes)
    $medlemmer = hentMedlemmer($_GET['size'] ?? 20, $_GET['page'] ?? 1);

    // Lag tabell for medlemmer
    if(!empty($medlemmer)){
        ?>
        <table class="table">
            <thead>
            <tr>
                <th>#</th>
                <th>Fornavn</th>
                <th>Etternavn</th>
                <th>Poststed</th>
                <th>E-post</th>
                <th>Bilde</th>
            </tr>
            </thead>
            <tbody>
            <?php
            foreach ($medlemmer as $medlemID => $medlem){
                echo "<tr>\n";
                echo "    <td>".($medlem->dbid)."</td>\n";
                echo "    <td>".($medlem->fornavn ?? '')."</td>\n";
                echo "    <td>".($medlem->etternavn ?? '')."</td>\n";
                echo "    <td>".$medlem->poststed."</td>\n";
                echo "    <td>".($medlem->epost ?? '')."</td>\n";

                echo "<td>";
                if(file_exists($medlemsBildeMappe."/".$medlem->dbid.'.png')){
                    echo "<img src='$medlemsBildeMappe/{$medlem->dbid}.png' style='height: 75px;'>";
                    echo "<a href='index8_4-download.php?medlemid=".$medlem->dbid."'><button>Last ned...</button></a>";
                }
                else if(file_exists($medlemsBildeMappe."/".$medlem->dbid.'.jpg')){
                    echo "<img src='$medlemsBildeMappe/{$medlem->dbid}.jpg' style='height: 75px;'>";
                    echo "<a href='index8_4-download.php?medlemid=".$medlem->dbid."'><button>Last ned...</button></a>";
                }
                else {
                    echo "    Medlemmet har ikke et bilde.\n";
                }
                echo "</td>\n";

                echo "</tr>\n";
            }
            ?>
            </tbody>
        </table>
    <?php } ?>
</div>

</body>
</html>