<?php
include '../common.php';


// Installert FPDF og FPDI gjennom Composer.
use setasign\Fpdi\Fpdi;
require __DIR__ . '/../vendor/autoload.php';

// Hvis ingen navn er gitt, send til liste over medlemmer
if(!isset($_GET['navn'])){
    header("Location: index8_5.php");
}

// Definerer variablene som skal inn i pdf-en
$navn = $_GET['navn'];
$sted = "Øyslebø";

// Logger for oppgave 2
include 'logger.inc.php';
Logger::log("Lager pdf for ".$navn);


// Åpne et blankt PDF-dokument
$pdf = new Fpdi();

// Legg til en side på pdf-en
$pdf->AddPage();

// Fyll siden med innholdet fra malen
$pdf->setSourceFile('Innlevering 8_velkomstbrev.pdf');

// ... da side 1 fra malen
$tplIdx = $pdf->importPage(1);

// Faktisk sett malen inn i pdf-en
$pdf->useTemplate($tplIdx);

// Skriv tekst inn i pdf-en
$pdf->SetFont('Arial', '', 11);
$pdf->SetTextColor(48, 48, 48);

// Sett inn navn på mottaker
$pdf->SetXY(35, 101.8);
$pdf->Write(0, utf8_decode($navn));

// Sett inn by
$pdf->SetXY(25, 270);
$pdf->Write(0, utf8_decode($sted));

// Sett inn dato
$pdf->SetXY(25, 275);
$pdf->Write(0, (new DateTime())->format('d.m.y'));

// Sett inn bilde av lederen (her en tilfeldig person)
// For lokalt bilde kan det bare settes inn med lokal referanse (da kan også bredde og type tas vekk)
$pdf->Image('https://www.thispersondoesnotexist.com/image',125,225,60,0,'JPEG');
//$pdf->Image('medlemmer/3.jpg',125,225,60);

// Send pdf til klienten
$pdf->Output('','velkommen.pdf');
